<template>
  <div :class="[$style.seperator, $style[color]]"></div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "BaseSeperator",
  props: {
    color: {
      type: String,
      required: false
    }
  }
});
</script>

<style module lang="scss">
.seperator {
  border: 1px solid $color--border;
}
.gray {
  border-color: $color--border;
}
</style>
